ssh::Channel(3)

NAME
ssh::Channel - the ssh::Channel class describes the state of an SSH channel.

SYNOPSIS

#include <include/libssh/libsshpp.hpp>

  Public Member Functions
Channel * acceptX11 (int timeout_ms)
accept an incoming X11 connection
void changePtySize (int cols, int rows)
change the size of a pseudoterminal
void close ()
closes a channel
bool isClosed ()
returns true if channel is in closed state
bool isEof ()
returns true if channel is in EOF state
bool isOpen ()
returns true if channel is in open state
int write (const void *data, size_t len, bool is_stderr=false)
Writes on a channel.

Detailed Description

the ssh::Channel class describes the state of an SSH channel.

See also:
    ssh_channel

Member Function Documentation

  Channel* ssh::Channel::acceptX11 (int timeout_ms) [inline]

accept an incoming X11 connection

Parameters:
    timeout_ms timeout for waiting, in ms

Returns:
    new Channel pointer on the X11 connection

    NULL in case of error

Warning:
    you have to delete this pointer after use

See also:
    ssh_channel_accept_x11

    Channel::requestX11

References ssh_channel_accept_x11().

  void ssh::Channel::changePtySize (int cols, int rows) [inline]

change the size of a pseudoterminal

Parameters:
    cols number of columns
    rows number of rows

Exceptions:
    SshException on error

See also:
    ssh_channel_change_pty_size

References ssh_channel_change_pty_size().

  void ssh::Channel::close () [inline]

closes a channel

Exceptions:
    SshException on error

See also:
    ssh_channel_close

References ssh_channel_close().

  bool ssh::Channel::isClosed () [inline]

returns true if channel is in closed state

See also:
    ssh_channel_is_closed

References ssh_channel_is_closed().

  bool ssh::Channel::isEof () [inline]

returns true if channel is in EOF state

See also:
    ssh_channel_is_eof

References ssh_channel_is_eof().

  bool ssh::Channel::isOpen () [inline]

returns true if channel is in open state

See also:
    ssh_channel_is_open

References ssh_channel_is_open().

  int ssh::Channel::write (const void * data, size_t len, bool is_stderr = false) [inline]

Writes on a channel.

Parameters:
    data data to write.
    len number of bytes to write.
    is_stderr write should be done on the stderr channel (server only)

Returns:
    number of bytes written

Exceptions:
    SshException in case of error

See also:
    channel_write

    channel_write_stderr

References ssh_channel_write(), and ssh_channel_write_stderr().

Author

Generated automatically by Doxygen for libssh from the source code.